clang 10.0.0git

Public Member Functions | List of all members
clang::CodeGen::CodeGenFunction::OMPLocalDeclMapRAII Class Reference

Save/restore original map of previously emitted local vars in case when we need to duplicate emission of the same code several times in the same function for OpenMP code. More...

`#include "/work/www-prereleases/10.0.0/rc1/docsbuild/clang/lib/CodeGen/CodeGenFunction.h"`

## Public Member Functions
| OMPLocalDeclMapRAII (CodeGenFunction &CGF)
| ~OMPLocalDeclMapRAII ()

## Detailed Description

Save/restore original map of previously emitted local vars in case when we need to duplicate emission of the same code several times in the same function for OpenMP code.

Definition at line 954 of file CodeGenFunction.h.

## Constructor & Destructor Documentation

## ◆ OMPLocalDeclMapRAII()

clang::CodeGen::CodeGenFunction::OMPLocalDeclMapRAII::OMPLocalDeclMapRAII | ( | CodeGenFunction & | CGF | ) |
| inline

Definition at line 959 of file CodeGenFunction.h.

## ◆ ~OMPLocalDeclMapRAII()

clang::CodeGen::CodeGenFunction::OMPLocalDeclMapRAII::~OMPLocalDeclMapRAII | ( |  | ) |
| inline

Definition at line 961 of file CodeGenFunction.h.

The documentation for this class was generated from the following file:

- lib/CodeGen/CodeGenFunction.h